Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1024018

Summary: [vdsm] deleting a disk with post-zero leads to stuck vdsm
Product: Red Hat Enterprise Virtualization Manager Reporter: Robert McSwain <rmcswain>
Component: vdsmAssignee: Nir Soffer <nsoffer>
Status: CLOSED DUPLICATE QA Contact: Ori Gofen <ogofen>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.2.0CC: acanan, acathrow, amureini, bazulay, fsimonce, iheim, laravot, lpeer, lyarwood, oourfali, Rhev-m-bugs, rmcswain, scohen, tnisan, yeylon
Target Milestone: ---Keywords: TestOnly, Triaged
Target Release: 3.5.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard: storage
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-14 09:11:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Storage RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1142923, 1156165    

Comment 7 Ori Gofen 2014-08-07 13:54:04 UTC
Liron,can you please provide steps to reproduce

Comment 8 Liron Aravot 2014-08-10 10:06:55 UTC
Ori, take a look in https://bugzilla.redhat.com/show_bug.cgi?id=1024018#c1 ,
I'd start with that.

Comment 9 Ori Gofen 2014-08-11 16:06:04 UTC
after reading very carefully comment #1, still don't understand what this bug is all about, clearly from the logs we can see:

Thread-106893::ERROR::2013-10-25 18:21:37,908::SecureXMLRPCServer::145::root::(handle_error) client ('172.20.245.39', 50694)
Traceback (most recent call last):
  File "/usr/lib64/python2.6/SocketServer.py", line 560, in process_request_thread
  File "/usr/lib64/python2.6/SocketServer.py", line 322, in finish_request
  File "/usr/lib64/python2.6/SocketServer.py", line 617, in __init__
  File "/usr/lib64/python2.6/BaseHTTPServer.py", line 329, in handle
  File "/usr/lib64/python2.6/BaseHTTPServer.py", line 323, in handle_one_request
  File "/usr/lib64/python2.6/SimpleXMLRPCServer.py", line 490, in do_POST
  File "/usr/lib64/python2.6/BaseHTTPServer.py", line 384, in send_response
  File "/usr/lib64/python2.6/BaseHTTPServer.py", line 390, in send_header
  File "/usr/lib64/python2.6/socket.py", line 324, in write
  File "/usr/lib64/python2.6/socket.py", line 303, in flush
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 222, in write
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 205, in _write_bio

which means that another engine(client ,IP='172.20.245.39') is trying to connect to the same host, which explains why his vdsm keeps on falling.

I haven't used rhev 3.2 but it is very reasonable to assume that deleting block disk with post zeroing fails when you have other client that keeps on stealing your host and tells him to do other stuff.